<h1 class='cat_heading'>> chosen file type: audio<br>&nbsp;&nbsp;listing files...<br>$<img src='./resources/img/cursor_blinking.gif' class='pixelart' style='height: 1em;'></h1>

<?php
  include_once('../app/db_connector.php');
  include_once('../app/db_utilities.php');

  showToolbar();

  if( isset($_POST['sel_order']) && isset($_POST['inp_search']) ) {
    $sort = 'aud_date'; 
    $sdir = 'DESC';
    
    switch($_POST['sel_order']) {
      case 'new':
        break;
      case 'old':
        $sdir = 'ASC';
        break;
      case 'az':
        $sort = 'aud_title';
        $sdir = 'ASC';
        break;
      case 'za':
        $sort = 'aud_title';
        break;
      default:
        break;
    }
      
    get_audio($pdo, $_POST['inp_search'], $sort, $sdir);
  }
  else {
    get_audio($pdo);
  }
  
  // TODO: remove this part: TESTING ONLY!
  include_once('../app/tag_extractor.php');
  get_file_tags('../public/resources/aud/chronostasis.mp3');
  get_file_tags('F:\MEGA Backup\musik\chronostasis\01 the enigmatic benefits of chronostasis - dan the melon lord.flac');
?>
